## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate opendal

Name:           rust-opendal
Version:        0.53.1
Release:        %autorelease
Summary:        Apache OpenDAL™: One Layer, All Storage

License:        Apache-2.0
URL:            https://crates.io/crates/opendal
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          opendal-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * Bump size version
# * Remove criterion dev dependency
# * Remove opentelemetry dev dependency
# * Remove fasttrace dev dependency
# * Remove libtest-mimic dev dependency
Patch:          opendal-fix-metadata.diff
# * Don't compile docs as services-s3 is not enabled
Patch3:         opendal-dont-compile-docs.patch
# * See https://github.com/apache/opendal/pull/6078
Patch4:         opendal-fix-tests.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Apache OpenDAL™: One Layer, All Storage.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/DEPENDENCIES.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/users.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+executors-tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+executors-tokio-devel %{_description}

This package contains library source intended for building other packages which
use the "executors-tokio" feature of the "%{crate}" crate.

%files       -n %{name}+executors-tokio-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+internal-tokio-rt-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+internal-tokio-rt-devel %{_description}

This package contains library source intended for building other packages which
use the "internal-tokio-rt" feature of the "%{crate}" crate.

%files       -n %{name}+internal-tokio-rt-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+services-fs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+services-fs-devel %{_description}

This package contains library source intended for building other packages which
use the "services-fs" feature of the "%{crate}" crate.

%files       -n %{name}+services-fs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+services-memcached-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+services-memcached-devel %{_description}

This package contains library source intended for building other packages which
use the "services-memcached" feature of the "%{crate}" crate.

%files       -n %{name}+services-memcached-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+services-memory-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+services-memory-devel %{_description}

This package contains library source intended for building other packages which
use the "services-memory" feature of the "%{crate}" crate.

%files       -n %{name}+services-memory-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+services-webdav-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+services-webdav-devel %{_description}

This package contains library source intended for building other packages which
use the "services-webdav" feature of the "%{crate}" crate.

%files       -n %{name}+services-webdav-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f services-fs,services-memcached,services-webdav

%build
%cargo_build -f services-fs,services-memcached,services-webdav

%install
%cargo_install -f services-fs,services-memcached,services-webdav

%if %{with check}
%check
%cargo_test -f services-fs,services-memcached,services-webdav
%endif

%changelog
## START: Generated by rpmautospec
* Wed Apr 23 2025 Andreas Schneider <asn@redhat.com> - 0.53.1-5
- Fix install of default component

* Tue Apr 22 2025 Andreas Schneider <asn@redhat.com> - 0.53.1-4
- Also hide empty package executors-tokio

* Tue Apr 22 2025 Andreas Schneider <asn@redhat.com> - 0.53.1-3
- Add patch for assert_size() test on 32bit
- Fix package dependencies

* Tue Apr 22 2025 Andreas Schneider <asn@redhat.com> - 0.53.1-2
- Skip tests::assert_size as it fails on 32bit

* Sun Apr 20 2025 Andreas Schneider <asn@redhat.com> - 0.53.1-1
- Update to version 0.53.1

* Sun Apr 06 2025 Andreas Schneider <asn@redhat.com> - 0.53.0-1
- Update to version 0.53

* Tue Apr 01 2025 Andreas Schneider <asn@redhat.com> - 0.52.0-1
- The big bang!
## END: Generated by rpmautospec
